# PSF-LoginServer - master - net.psforever.filters.MsgRegexFilter
PSF - LoginServer - master - net.psforever.filters.MsgRegexFilter
Keywords: PSF LoginServer master net.psforever.filters.MsgRegexFilter

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package filters
  Definition Classes
    psforever
- ApplyCooldownToDuplicateLoggingFilter
- LoggerPrefixFilter
- MsgRegexFilter

c

net.psforever.filters

# MsgRegexFilter

###

#### class MsgRegexFilter extends Filter[ILoggingEvent]

Disrupts a variety of messages that, when formatted, match against the configured regular expression. A replacement for the `EvaluatorFilter`.

Source
  MsgRegexFilter.java

Linear Supertypes
Filter[ILoggingEvent], LifeCycle, ContextAwareBase, ContextAware, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. MsgRegexFilter
2. Filter
3. LifeCycle
4. ContextAwareBase
5. ContextAware
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new MsgRegexFilter()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def addError(arg0: String, arg1: Throwable): Unit
   Definition Classes
     ContextAwareBase → ContextAware
5.  def addError(arg0: String): Unit
   Definition Classes
     ContextAwareBase → ContextAware
6.  def addInfo(arg0: String, arg1: Throwable): Unit
   Definition Classes
     ContextAwareBase → ContextAware
7.  def addInfo(arg0: String): Unit
   Definition Classes
     ContextAwareBase → ContextAware
8.  def addStatus(arg0: Status): Unit
   Definition Classes
     ContextAwareBase → ContextAware
9.  def addWarn(arg0: String, arg1: Throwable): Unit
   Definition Classes
     ContextAwareBase → ContextAware
10.  def addWarn(arg0: String): Unit
    Definition Classes
      ContextAwareBase → ContextAware
11.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
12.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
13.  def decide(event: ILoggingEvent): FilterReply
    Definition Classes
      MsgRegexFilter → Filter
    Annotations
      @Override()
14.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
16.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
17.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  def getContext(): Context
    Definition Classes
      ContextAwareBase → ContextAware
19.  def getDeclaredOrigin(): AnyRef
    Attributes
      protected[spi]
    Definition Classes
      ContextAwareBase
20.  def getName(): String
    Definition Classes
      Filter
21.  def getStatusManager(): StatusManager
    Definition Classes
      ContextAwareBase
22.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
23.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
24.  def isStarted(): Boolean
    Definition Classes
      Filter → LifeCycle
25.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
26.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
27.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
28.  def setContext(arg0: Context): Unit
    Definition Classes
      ContextAwareBase → ContextAware
29.  def setName(arg0: String): Unit
    Definition Classes
      Filter
30.  def start(): Unit
    Definition Classes
      MsgRegexFilter → Filter → LifeCycle
    Annotations
      @Override()
31.  def stop(): Unit
    Definition Classes
      Filter → LifeCycle
32.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
33.  def toString(): String
    Definition Classes
      AnyRef → Any
34.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
35.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
36.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Filter[ILoggingEvent]

### Inherited from LifeCycle

### Inherited from ContextAwareBase

### Inherited from ContextAware

### Inherited from AnyRef

### Inherited from Any

### Ungrouped